<?php

namespace App\Http\Controllers;

use App\Models\Merchants;
use App\Models\useraccounts;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class MerchantsController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return Merchants::all();
        
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        
        $password = $request->password;
        $access = date('Y-m-d H-i-s');
        $options = array("cost"=>4);
        $hashPassword = password_hash($password,PASSWORD_BCRYPT,$options);

            $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
            $seed_num = str_split('0123456789'); // and any other characters
            
            shuffle($seed); // probably optional since array_is randomized; this may be redundant
            shuffle($seed_num); // probably optional since array_is randomized; this may be redundant
            
            $rand = '';
            $rand_num = '';
            
            foreach (array_rand($seed, 4) as $k) $rand .= $seed[$k];
            foreach (array_rand($seed_num, 5) as $k) $rand_num .= $seed_num[$k];
            
            $user_id = $rand . $rand_num;

        Merchants::create([
            'userid'=>$user_id,
            'tradername'=>$request->tradername,
            'merchantcategoryid'=>0,
            'email'=>$request->email,
            'tel'=>$request->tel,
            'cell'=>$request->cell,
            'address'=>$request->address,
            'townid'=>$request->townid,
            'contactperson'=>$request->contactperson,
            'contactcell'=>$request->contactcell,
            'nationalid'=>NULL,
            'totalcapacity'=>$request->totalcapacity,
            'unitofmeasureid'=>3,
            'season'=>$request->season,
            'class_abattoir'=>$request->class_abattoir,
            'vetreg'=>$request->vetreg,
            'warehouse_location'=>$request->warehouse_location
        ]);

        useraccounts::create([
            'username'=>$user_id,
            'password'=>$hashPassword,
            'access'=>$access
        ]);
            
    }

    /**
     * Display the specified resource.
     */
    public function show(String $merchant)
    {
        return Merchants::where("userid", $merchant)->first();
    }


}
