<?php

namespace App\Http\Controllers;

use App\Models\cert_incorp;
use App\Models\cr14;
use App\Models\cr6;
use App\Models\natid_card;
use App\Models\otherDocument;
use App\Models\pib_clearance;
use App\Models\proofOfPayment;
use App\Models\tax_clearance;
use App\Models\vet_reg;
use App\Models\zimdi_pass_dl;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;

class FileUploadController extends Controller
{
 
   
    /**
     * Store a newly created resource in storage.
     */
    public function storeNatIdCard(Request $request)
    {
        $uploaded_file = $request->file('natidcard')->storeAs('public/natIdCard', $request->userId.'.pdf');
        natid_card::create([
            'user_id'=>$request->userId,
            'natid_doc'=>$request->userId.'.pdf',
            'dateupdated'=>Carbon::now()->format('m/d/Y H:i:s')
        ]);
        return $uploaded_file;
    }

    public function storeCr6(Request $request)
    {
        $uploaded_file = $request->file('cr6')->storeAs('public/cr6/', $request->userId.'.pdf');
        cr6::create([
            'userid'=>$request->userId,
            'cr6_doc'=>$request->userId.'.pdf',
            'dateupdated'=>Carbon::now()->format('m/d/Y H:i:s')
        ]);
        return $uploaded_file;
    }

    public function storeCr14(Request $request)
    {
        
        $uploaded_file = $request->file('cr14')->storeAs('public/cr14/', $request->userId.'.pdf');
        cr14::create([
            'userid'=>$request->userId,
            'cr14_doc'=>$request->userId.'.pdf',
            'dateupdated'=>Carbon::now()->format('m/d/Y H:i:s')
        ]);
        return $uploaded_file;

    }

    public function storeTaxClearance(Request $request)
    {
        $uploaded_file = $request->file('taxclearance')->storeAs('public/taxClearance/', $request->userId.'.pdf');
        tax_clearance::create([
            'userid'=>$request->userId,
            'tax_clearance_doc'=>$request->userId.'.pdf',
            'dateuploaded'=>Carbon::now()->format('m/d/Y H:i:s')
        ]);
        return $uploaded_file;

    }

    public function storeCoi(Request $request)
    {
        $uploaded_file = $request->file('certincorp')->storeAs('public/coi/', $request->userId.'.pdf');
        cert_incorp::create([
            'userid'=>$request->userId,
            'cert_incorp_doc'=>$request->userId.'.pdf',
            'dateupdated'=>Carbon::now()->format('m/d/Y H:i:s')
        ]);
        return $uploaded_file;
    }

    public function storeVetReg(Request $request)
    {
        $uploaded_file = $request->file('vet_reg')->storeAs('public/verReg/', $request->userId.'.pdf');
        vet_reg::create([
            'userid'=>$request->userId,
            'vetreg_doc'=>$request->userId.'.pdf',
            'dateupdated'=>Carbon::now()->format('m/d/Y H:i:s')
        ]);
        return $uploaded_file;
    }

    public function storePibClearance(Request $request)
    {
        $uploaded_file = $request->file('pibclearance')->storeAs('public/pibClearance/', $request->userId.'.pdf');
        pib_clearance::create([
            'userid'=>$request->userId,
            'clearance_doc'=>$request->userId.'.pdf',
            'dateupdated'=>Carbon::now()->format('m/d/Y H:i:s')
        ]);
        return $uploaded_file;
    }

    public function storeOtherDocument(Request $request)
    {
        $uploaded_file = $request->file('otherdocfile')->storeAs('public/otherDocuments/', $request->userId.'.pdf');
        otherDocument::create([
            'user_id'=>$request->userId,
            'Name'=>$request->name,
            'otherdocument'=>$request->name.'('.$request->userId.').pdf',
            'dateupdated'=>Carbon::now()->format('m/d/Y H:i:s')
        ]);
        return $uploaded_file;
    }

    public function storePOP(Request $request)
    {
        
        $uploaded_file = $request->file('proofofpayment')->storeAs('public/proofOfPayment/', $request->userId.'-'.date('m-d-Y').'.pdf');
        proofOfPayment::create([
            'UserId'=>$request->userId,
            'invoiceid'=>$request->invoiceId,
            'methodId'=>$request->methodId,
            'bankref'=>$request->bankRef,
            'proof_payment'=>Carbon::now()->format('m/d/Y H:i:s').'.pdf'

        ]);
        return $uploaded_file;
    }


   
}
